| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Static Public Attributes | List of all members
iolink.iolink.DataTypeId Class Reference
Inheritance diagram for iolink.iolink.DataTypeId:

## Static Public Attributes
| UNKNOWN = DataTypeId_UNKNOWN
| UINT8 = DataTypeId_UINT8
| UINT16 = DataTypeId_UINT16
| UINT32 = DataTypeId_UINT32
| UINT64 = DataTypeId_UINT64
| INT8 = DataTypeId_INT8
| INT16 = DataTypeId_INT16
| INT32 = DataTypeId_INT32
| INT64 = DataTypeId_INT64
| FLOAT = DataTypeId_FLOAT
| DOUBLE = DataTypeId_DOUBLE
| UTF8_STRING = DataTypeId_UTF8_STRING
| UTF16_STRING = DataTypeId_UTF16_STRING
| UTF32_STRING = DataTypeId_UTF32_STRING
| VEC2_UINT8 = DataTypeId_VEC2_UINT8
| VEC2_UINT16 = DataTypeId_VEC2_UINT16
| VEC2_UINT32 = DataTypeId_VEC2_UINT32
| VEC2_UINT64 = DataTypeId_VEC2_UINT64
| VEC2_INT8 = DataTypeId_VEC2_INT8
| VEC2_INT16 = DataTypeId_VEC2_INT16
| VEC2_INT32 = DataTypeId_VEC2_INT32
| VEC2_INT64 = DataTypeId_VEC2_INT64
| VEC2_FLOAT = DataTypeId_VEC2_FLOAT
| VEC2_DOUBLE = DataTypeId_VEC2_DOUBLE
| VEC3_UINT8 = DataTypeId_VEC3_UINT8
| VEC3_UINT16 = DataTypeId_VEC3_UINT16
| VEC3_UINT32 = DataTypeId_VEC3_UINT32
| VEC3_UINT64 = DataTypeId_VEC3_UINT64
| VEC3_INT8 = DataTypeId_VEC3_INT8
| VEC3_INT16 = DataTypeId_VEC3_INT16
| VEC3_INT32 = DataTypeId_VEC3_INT32
| VEC3_INT64 = DataTypeId_VEC3_INT64
| VEC3_FLOAT = DataTypeId_VEC3_FLOAT
| VEC3_DOUBLE = DataTypeId_VEC3_DOUBLE
| VEC4_UINT8 = DataTypeId_VEC4_UINT8
| VEC4_UINT16 = DataTypeId_VEC4_UINT16
| VEC4_UINT32 = DataTypeId_VEC4_UINT32
| VEC4_UINT64 = DataTypeId_VEC4_UINT64
| VEC4_INT8 = DataTypeId_VEC4_INT8
| VEC4_INT16 = DataTypeId_VEC4_INT16
| VEC4_INT32 = DataTypeId_VEC4_INT32
| VEC4_INT64 = DataTypeId_VEC4_INT64
| VEC4_FLOAT = DataTypeId_VEC4_FLOAT
| VEC4_DOUBLE = DataTypeId_VEC4_DOUBLE
| COMPLEX_FLOAT = DataTypeId_COMPLEX_FLOAT
| COMPLEX_DOUBLE = DataTypeId_COMPLEX_DOUBLE
| MATRIX2_FLOAT = DataTypeId_MATRIX2_FLOAT
| MATRIX2_DOUBLE = DataTypeId_MATRIX2_DOUBLE
| MATRIX3_FLOAT = DataTypeId_MATRIX3_FLOAT
| MATRIX3_DOUBLE = DataTypeId_MATRIX3_DOUBLE
| MATRIX4_FLOAT = DataTypeId_MATRIX4_FLOAT
| MATRIX4_DOUBLE = DataTypeId_MATRIX4_DOUBLE
| SYM_MATRIX2_FLOAT = DataTypeId_SYM_MATRIX2_FLOAT
| SYM_MATRIX2_DOUBLE = DataTypeId_SYM_MATRIX2_DOUBLE
| SYM_MATRIX3_FLOAT = DataTypeId_SYM_MATRIX3_FLOAT
| SYM_MATRIX3_DOUBLE = DataTypeId_SYM_MATRIX3_DOUBLE

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py